# NinetyEight.NEEnvironment

**negdkcc**

***

negdkcc / NEEnvironment

## Enumeration: NEEnvironment

Defined in: [defines/NEEnvironment.ts:5](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEEnvironment.ts#L5)

Defines the different environments for the game.\
Used to distinguish between production, staging, and development environments.

### Enumeration Members

#### DEV

> **DEV**: `2`

Defined in: [defines/NEEnvironment.ts:19](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEEnvironment.ts#L19)

Represents the development environment.

***

#### PROD

> **PROD**: `0`

Defined in: [defines/NEEnvironment.ts:9](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEEnvironment.ts#L9)

Represents the production environment.

***

#### STAG

> **STAG**: `1`

Defined in: [defines/NEEnvironment.ts:14](https://github.com/EternalsGame/universal-sdk/blob/7b1076b6b36dd7c5b65f4a2f518d40773314a555/gdk/cocos-creator/assets/negdk/scripts/defines/NEEnvironment.ts#L14)

Represents the staging environment.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/cocos-creator/api-reference/ninetyeight-game-development-kit-cocos-creator/enumerations/ninetyeight.neenvironment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
